AOWP_AspectASTUtil (AOWP)

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.AOWP_AspectASTUtil
/aspect/weaver/command/astutil/AspectASTUtil.class.php at line 2

# Class AOWP_AspectASTUtil

    AOWP_AspectASTUtil

public class AOWP_AspectASTUtil

Field Summary
private static mixed | $_JOIN_POINT_INSTANCE_NAME
private static mixed | $_PROCEED_BASE_LABEL_INDEX
private static mixed | $_PROCEED_RETURN_LABELS

Method Summary
static void | getAdviceMethodElement(mixed advice)
static void | getAspectClassElement(mixed phpElement)
static void | replaceJoinPointInstanceVariable(AOWP_PHPMethodElement element, unknown_type joinPointInstanceName) For around advice for script execution join points. We must call methods for weaving into script execution join points in the following order, 1.
static void | replaceProceedCall(AOWP_PHPMethodElement element, unknown_type proceedLabelText, unknown_type baseLabelText, unknown_type flagVariableName) For around advice for script execution join points. We must call methods for weaving into script execution join points in the following order, 1.
static void | replaceThisVariable(mixed element, string aspectInstanceName, AOWP_PHPMethodElement &$element) For around advice for script execution join points. We must call methods for weaving into script execution join points in the following order, 1.

## Field Detail

/aspect/weaver/command/astutil/AspectASTUtil.class.php at line 5

### _JOIN_POINT_INSTANCE_NAME

`private static mixed $_JOIN_POINT_INSTANCE_NAME`

/aspect/weaver/command/astutil/AspectASTUtil.class.php at line 4

### _PROCEED_BASE_LABEL_INDEX

`private static mixed $_PROCEED_BASE_LABEL_INDEX`

/aspect/weaver/command/astutil/AspectASTUtil.class.php at line 6

### _PROCEED_RETURN_LABELS

`private static mixed $_PROCEED_RETURN_LABELS`

## Method Detail

/aspect/weaver/command/astutil/AspectASTUtil.class.php at line 8

### getAdviceMethodElement

`public static void getAdviceMethodElement(mixed advice)`

/aspect/weaver/command/astutil/AspectASTUtil.class.php at line 14

### getAspectClassElement

`public static void getAspectClassElement(mixed phpElement)`

/aspect/weaver/command/astutil/AspectASTUtil.class.php at line 132

### replaceJoinPointInstanceVariable

`public static void replaceJoinPointInstanceVariable(AOWP_PHPMethodElement element, unknown_type joinPointInstanceName)`

For around advice for script execution join points.
We must call methods for weaving into script execution join points in the following order,
1. AOWP_AspectASTUtil::replaceProceedCall
2. AOWP_AspectASTUtil::replaceJoinPointInstanceVariable
3. AOWP_AspectASTUtil::replaceThisVariale

/aspect/weaver/command/astutil/AspectASTUtil.class.php at line 87

### replaceProceedCall

`public static void replaceProceedCall(AOWP_PHPMethodElement element, unknown_type proceedLabelText, unknown_type baseLabelText, unknown_type flagVariableName)`

For around advice for script execution join points.
We must call methods for weaving into script execution join points in the following order,
1. AOWP_AspectASTUtil::replaceProceedCall
2. AOWP_AspectASTUtil::replaceJoinPointInstanceVariable
3. AOWP_AspectASTUtil::replaceThisVariale

/aspect/weaver/command/astutil/AspectASTUtil.class.php at line 56

### replaceThisVariable

`public static void replaceThisVariable(mixed element, string aspectInstanceName, AOWP_PHPMethodElement &$element)`

For around advice for script execution join points.
We must call methods for weaving into script execution join points in the following order,
1. AOWP_AspectASTUtil::replaceProceedCall
2. AOWP_AspectASTUtil::replaceJoinPointInstanceVariable
3. AOWP_AspectASTUtil::replaceThisVariale

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr